Package it.ernytech.tdlib

## Class TdApi.CheckAuthenticationCode

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CheckAuthenticationCode

Enclosing class:
  TdApi

    public static class TdApi.CheckAuthenticationCode
    extends TdApi.Function

Checks the authentication code. Works only when the current authorization state is authorizationStateWaitCode.

Returns `Ok`

### Field Summary

Fields
`java.lang.String` `code` The verification code received via SMS, Telegram message, phone call, or flash call.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `firstName` If the user is not yet registered, the first name of the user; 1-255 characters.
`java.lang.String` `lastName` If the user is not yet registered; the last name of the user; optional; 0-255 characters.

### Constructor Summary

Constructors
`CheckAuthenticationCode()` Default constructor.
`CheckAuthenticationCode​(java.lang.String code, java.lang.String firstName, java.lang.String lastName)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### code

    public java.lang.String code

The verification code received via SMS, Telegram message, phone call, or flash call.

#### firstName

    public java.lang.String firstName

If the user is not yet registered, the first name of the user; 1-255 characters.

#### lastName

    public java.lang.String lastName

If the user is not yet registered; the last name of the user; optional; 0-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CheckAuthenticationCode

    public CheckAuthenticationCode()

Default constructor.

#### CheckAuthenticationCode

    public CheckAuthenticationCode​(java.lang.String code,
                                   java.lang.String firstName,
                                   java.lang.String lastName)

Constructor for initialization of all fields.

Parameters:
  `code` - The verification code received via SMS, Telegram message, phone call, or flash call.
  `firstName` - If the user is not yet registered, the first name of the user; 1-255 characters.
  `lastName` - If the user is not yet registered; the last name of the user; optional; 0-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR